Bug 132033 - Enable GSSAPI / kerberos support for Mozilla / FireFox
Enable GSSAPI / kerberos support for Mozilla / FireFox
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-07 19:16 EDT by Dax Kelson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-08 15:13:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dax Kelson 2004-09-07 19:16:39 EDT
Description of problem:

One of the new features of Mozilla 1.7 touted in the release notes is:

"Support for Kerberos HTTP authentication using GSSAPI (benefits
Unix-like platforms including Linux and OS X)."

To enable this you need to pass --with-gssapi to the configure script
during compile.

The current spec file doesn't have this.

Increasingly the single-sign-on benefits of Kerberos are driving
deployments. This feature of Mozilla coupled with mod_auth_kerb for
Apache make for a complete open source solution for secure
single-sign-on web applications.

Please consider making this simple change to the spec file. You
probably also want to add krb5-devel to the BuildReq line.
Comment 1 Christopher Aillon 2004-09-08 15:13:13 EDT
This is already enabled implicitly.  The --with-gssapi flag is only
required if you have it installed in a weird place.  Mozilla finds the
correct headers, and if you'll notice, we do build with it (the
negotiateauth extension)

Note You need to log in before you can comment on or make changes to this bug.